/***************************************************************************
 *   Copyright (C) 2009 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "qcountergroup.h"

QCounterGroup::QCounterGroup(const QString & title, QWidget *parent)
 : QGroupBox(title, parent)
{

	time = 0;
	Layout = new QHBoxLayout;

	KMLabel = new QKMLabel( this );
	Layout->addWidget(KMLabel);

	SpeedLabel = new QSpeedLabel( this );
	Layout->addWidget( SpeedLabel );


	ResetButton = new QPushButton(QString::fromUtf8("Zurück-\nsetzen"), this);
	ResetButton->setSizePolicy(QSizePolicy::Minimum, QSizePolicy::Minimum);
	connect(ResetButton,SIGNAL(clicked()),this,SLOT(reset()));
	Layout->addWidget(ResetButton);


	setLayout(Layout);
}


QCounterGroup::~QCounterGroup()
{
}




/*!
    \fn QCounterGroup::Reset()
 */
void QCounterGroup::reset()
{
    	KMLabel->reset();
	SpeedLabel->reset();
	time = 0;
}


/*!
    \fn QCounterGroup::update( double distance, int time)
 */
void QCounterGroup::update( double distance, int t)
{
	time = time + t;
    	KMLabel->addKM( distance );
    	SpeedLabel->setSpeed( KMLabel->getKM() / time * 3600 );
}
